CMSIS-DSP: arm_rfft_f32.c File Reference

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
arm_rfft_f32.c File Reference

## Functions

void | arm_radix4_butterfly_f32 (float32_t *pSrc, uint16_t fftLen, const float32_t *pCoef, uint16_t twidCoefModifier)
void | arm_radix4_butterfly_inverse_f32 (float32_t *pSrc, uint16_t fftLen, const float32_t *pCoef, uint16_t twidCoefModifier, float32_t onebyfftLen)
void | arm_bitreversal_f32 (float32_t *pSrc, uint16_t fftSize, uint16_t bitRevFactor, const uint16_t *pBitRevTab)
| In-place floating-point bit reversal function. More...
void | arm_split_rfft_f32 (float32_t *pSrc, uint32_t fftLen, const float32_t *pATable, const float32_t *pBTable, float32_t *pDst, uint32_t modifier)
| Core Real FFT process. More...
void | arm_split_rifft_f32 (float32_t *pSrc, uint32_t fftLen, const float32_t *pATable, const float32_t *pBTable, float32_t *pDst, uint32_t modifier)
| Core Real IFFT process. More...
void | arm_rfft_f32 (const arm_rfft_instance_f32 *S, float32_t *pSrc, float32_t *pDst)
| Processing function for the floating-point RFFT/RIFFT. Source buffer is modified by this function. More...

## Function Documentation

void arm_bitreversal_f32 | ( | float32_t * | pSrc,
|  | uint16_t | fftSize,
|  | uint16_t | bitRevFactor,
|  | const uint16_t * | pBitRevTab
| ) |  |

Parameters

  [in,out] | pSrc | points to in-place floating-point data buffer
  [in] | fftSize | length of FFT
  [in] | bitRevFactor | bit reversal modifier that supports different size FFTs with the same bit reversal table
  [in] | pBitRevTab | points to bit reversal table

Returns
  none

void arm_radix4_butterfly_f32 | ( | float32_t * | pSrc,
|  | uint16_t | fftLen,
|  | const float32_t * | pCoef,
|  | uint16_t | twidCoefModifier
| ) |  |

end of ComplexFFT group brief Core function for the floating-point CFFT butterfly process. param[in,out] pSrc points to the in-place buffer of floating-point data type param[in] fftLen length of the FFT param[in] pCoef points to the twiddle coefficient buffer param[in] twidCoefModifier twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table return none

void arm_radix4_butterfly_inverse_f32 | ( | float32_t * | pSrc,
|  | uint16_t | fftLen,
|  | const float32_t * | pCoef,
|  | uint16_t | twidCoefModifier,
|  | float32_t | onebyfftLen
| ) |  |

brief Core function for the floating-point CIFFT butterfly process. param[in,out] pSrc points to the in-place buffer of floating-point data type param[in] fftLen length of the FFT param[in] pCoef points to twiddle coefficient buffer param[in] twidCoefModifier twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table. param[in] onebyfftLen value of 1/fftLen return none

void arm_split_rfft_f32 | ( | float32_t * | pSrc,
|  | uint32_t | fftLen,
|  | const float32_t * | pATable,
|  | const float32_t * | pBTable,
|  | float32_t * | pDst,
|  | uint32_t | modifier
| ) |  |

end of RealFFT group

Parameters

  [in] | pSrc | points to input buffer
  [in] | fftLen | length of FFT
  [in] | pATable | points to twiddle Coef A buffer
  [in] | pBTable | points to twiddle Coef B buffer
  [out] | pDst | points to output buffer
  [in] | modifier | twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table

Returns
  none

void arm_split_rifft_f32 | ( | float32_t * | pSrc,
|  | uint32_t | fftLen,
|  | const float32_t * | pATable,
|  | const float32_t * | pBTable,
|  | float32_t * | pDst,
|  | uint32_t | modifier
| ) |  |

Parameters

  [in] | pSrc | points to input buffer
  [in] | fftLen | length of FFT
  [in] | pATable | points to twiddle Coef A buffer
  [in] | pBTable | points to twiddle Coef B buffer
  [out] | pDst | points to output buffer
  [in] | modifier | twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table

Returns
  none